学习计划/BearerWrite
Delete study plan
Delete a study plan and all tasks that belong to it.
Endpoint
POST
/api/v1/agent/capabilities/ielts_study_plans_delete请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| planId | string | 是 | planId |
| reason | string | 是 | reason |
调用示例
curl -X POST \
'https://work.ieltsbuddy.igopx.cn/api/v1/agent/capabilities/ielts_study_plans_delete' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer $IELTS_BUDDY_TOKEN' \
--data '{"planId":"<planId>","reason":"<reason>"}'请求结构
{
"type": "object",
"properties": {
"planId": {
"type": "string",
"minLength": 1
},
"reason": {
"type": "string",
"minLength": 1
}
},
"required": [
"planId",
"reason"
],
"additionalProperties": false
}统一响应
接口结果位于 data;code 为 0 表示调用成功。
{
"code": 0,
"data": {},
"message": "ok"
}错误码
400
40001请求参数不符合接口契约401
40101缺少或使用了无效的访问令牌403
40301访问令牌不包含接口所需权限404
40401接口或目标资源不存在